Package com.smartgwt.client.bean.types

# Class NonPrimitiveArrayValueType<ComponentType>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.ArrayValueType<ComponentType[]>
com.smartgwt.client.bean.types.NonPrimitiveArrayValueType<ComponentType>

Direct Known Subclasses:
  `InterfaceArrayValueType`, `ObjectArrayValueType`

public abstract class NonPrimitiveArrayValueType<ComponentType> extends ArrayValueType<ComponentType[]>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NonPrimitiveArrayValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ComponentType[]`
  `convertFrom(boolean[] array)`
  `protected ComponentType[]`
  `convertFrom(double[] array)`
  `protected ComponentType[]`
  `convertFrom(float[] array)`
  `protected ComponentType[]`
  `convertFrom(int[] array)`
  `protected ComponentType[]`
  `convertFrom(long[] array)`
  `protected ComponentType[]`
  `convertFrom(Object[] array)`
  `abstract ComponentType[]`
  `emptyArray()`
  `protected BeanValueType<ComponentType>`
  `getComponentValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

  `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, isAssignableFrom, leastConvertabilityToComponentType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NonPrimitiveArrayValueType

    public NonPrimitiveArrayValueType()

- ## Method Details

  - ### emptyArray

    public abstract ComponentType[] emptyArray()

  - ### getComponentValueType

    protected BeanValueType<ComponentType> getComponentValueType()
    Overrides:
      `getComponentValueType` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(Object[] array)
    Specified by:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(boolean[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(double[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(float[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(int[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`

  - ### convertFrom

    protected ComponentType[] convertFrom(long[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<ComponentType[]>`